Package com.typesafe.config

# Class ConfigException.ValidationProblem

java.lang.Object
com.typesafe.config.ConfigException.ValidationProblem

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ConfigException`

public static class ConfigException.ValidationProblem extends Object implements Serializable
Information about a problem that occurred in `Config.checkValid(com.typesafe.config.Config, java.lang.String...)`. A `ConfigException.ValidationFailed` exception thrown from `checkValid()` includes a list of problems encountered.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ValidationProblem(String path, ConfigOrigin origin, String problem)`

## Method Summary

Modifier and Type
Method
Description
`ConfigOrigin`
`origin()`
Returns where the problem occurred (origin may include info on the file, line number, etc.).
`String`
`path()`
Returns the config setting causing the problem.
`String`
`problem()`
Returns a description of the problem.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ValidationProblem

public ValidationProblem(String path, ConfigOrigin origin, String problem)

## Method Details

### path

public String path()
Returns the config setting causing the problem.

Returns:
  the path of the problem setting

### origin

public ConfigOrigin origin()
Returns where the problem occurred (origin may include info on the file, line number, etc.).

Returns:
  the origin of the problem setting

### problem

public String problem()
Returns a description of the problem.

Returns:
  description of the problem

### toString

public String toString()

Overrides:
  `toString` in class `Object`